%define name rkward
%define version 0.3.6
%define release %mkrel 1

Summary: A KDE GUI to R
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Patch0: rkward-gcc4.patch.bz2
License: GPL
Group: Sciences/Mathematics
Url: http://rkward.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildrequires: R-base, kdebase-devel, ImageMagick
Requires: kdebase-konsole
Requires: R-base

%description
RKWard is meant to become an easy to use, transparent frontend to the 
R-language, a very powerful, yet hard-to-get-into scripting-language with 
a strong focus on statistic functions. It will not only provide a convenient 
user-interface, however, but also take care of seamless integration with an 
office-suite. Practical statistics is not just about calculating, after all, 
but also about documenting and ultimately publishing the results.

Warning, this is a experimental software, not for production use !

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0

%build
%configure --with-extra-includes=%{_libdir}/R/include/ --with-extra-libs=%{_libdir}/R/lib/ --disable-rpath --with-qt-libraries=$QTDIR/%{_lib}
%make

%install
rm -rf %{buildroot}
%makeinstall
mkdir -p  %{buildroot}/%_menudir 
kdedesktop2mdkmenu.pl %name "More Applications/Sciences/Mathematics" %{buildroot}/%{_datadir}/applnk/Applications/rkward.desktop %{buildroot}/%_menudir/%{name}
%find_lang %{name}
# already provided by kdelibs-common
rm -f %{buildroot}/%{_datadir}/apps/katepart/syntax/r.xml

# paths seem already correct
# perl -pi -e "s,/usr/lib,%{_libdir}," %{buildroot}/%{_bindir}/%{name}

# install rkward R package
cd rkward/rbackend/rpackages/
R CMD INSTALL -l $RPM_BUILD_ROOT/%{_libdir}/R/library rkward
# already in R-base package
rm -f $RPM_BUILD_ROOT/%{_libdir}/R/library/R.css
cd -

mkdir -p  %{buildroot}/{%{_iconsdir},%{_liconsdir},%{_miconsdir}}
convert -resize 32x32 %{buildroot}/%{_datadir}/icons/crystalsvg/128x128/apps/rkward.png %{buildroot}/%{_iconsdir}/%{name}.png
convert -resize 48x48 %{buildroot}/%{_datadir}/icons/crystalsvg/128x128/apps/rkward.png %{buildroot}/%{_liconsdir}/%{name}.png
convert -resize 16x16 %{buildroot}/%{_datadir}/icons/crystalsvg/128x128/apps/rkward.png %{buildroot}/%{_miconsdir}/%{name}.png
%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root)
%{_libdir}/R/library/rkward
%{_datadir}/apps/rkward
%{_datadir}/apps/katepart/syntax/rkward.xml
%{_datadir}/applnk/Applications/rkward.desktop
%{_datadir}/doc/HTML/en/rkward
%{_datadir}/icons/*/*/apps/%{name}.png
%{_bindir}/*
%_menudir/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Thu Aug 31 2006 Couriousous <couriousous@mandriva.org> 0.3.6-1mdv2007.0
- 0.3.6

* Mon May  8 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.3.5-2mdk
- fix paths in rkward script
- requires R-base
- install rkward R package

* Mon Apr 17 2006 Couriousous <couriousous@mandriva.org> 0.3.5-1mdk
- First Mandriva package

